Skip to main content
POST
/
meta
/
mcp#check_api_v23_compliance
Check Api V23 Compliance
curl --request POST \
  --url 'https://api.adside.ai/meta/mcp#check_api_v23_compliance' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "<string>",
  "method": "<string>",
  "params": {
    "name": "<string>",
    "arguments": {
      "name": "<string>",
      "page_id": "<string>",
      "message": "<string>",
      "link_url": "<string>",
      "account_id": "<string>",
      "headline": "<string>",
      "picture": "<string>",
      "image_hash": "<string>",
      "video_id": "<string>",
      "call_to_action_type": "LEARN_MORE",
      "description": "<string>",
      "instagram_actor_id": "<string>",
      "adlabels": [
        "<string>"
      ],
      "enable_standard_enhancements": false,
      "enhancement_features": {
        "enhance_cta": true,
        "image_brightness_and_contrast": true,
        "text_improvements": true,
        "image_templates": false
      },
      "attachment_style": "link",
      "caption": "<string>"
    }
  },
  "id": "1"
}
'
{
  "jsonrpc": "<string>",
  "id": "<string>",
  "result": {
    "content": [
      {
        "type": "<string>",
        "text": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.

Body

application/json
jsonrpc
string
required
Allowed value: "2.0"
method
string
required
Allowed value: "tools/call"
params
object
required
id
string
Example:

"1"

Response

JSON-RPC response with tool result

jsonrpc
string
Allowed value: "2.0"
id
string
result
object